Cabal-3.10.1.0: A framework for packaging Haskell software

Copyright | Isaac Jones 2003-2005
License | BSD3
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Simple.PackageDescription

Contents

- Read and Parse files
- Utility Parsing function

Description

This defines parsers for the `.cabal` format

Synopsis

- readGenericPackageDescription :: Verbosity -> FilePath -> IO GenericPackageDescription
- readHookedBuildInfo :: Verbosity -> FilePath -> IO HookedBuildInfo
- parseString :: (ByteString -> ParseResult a) -> Verbosity -> String -> ByteString -> IO a

# Read and Parse files

readGenericPackageDescription :: Verbosity -> FilePath -> IO GenericPackageDescription Source #

readHookedBuildInfo :: Verbosity -> FilePath -> IO HookedBuildInfo Source #

# Utility Parsing function

parseString Source #

Arguments

:: (ByteString -> ParseResult a) | File contents to final value parser
-> Verbosity | Verbosity level
-> String | File name
-> ByteString |
-> IO a |